<?php
// 파일 ✨/var/www/html/i/db_conf.php
// 도메인상 경로 http://i.yjm.kr/db_conf.php
// n.yjm.kr는 /var/www/html 이곳임. 당연 i  도 /i/ 로읽어짐
// 용도 db연결 설정파일 
// 목적 db연결 계정관리 한파일에서 일원화
ini_set('display_errors', 1);
ini_set('log_errors', 0); 

if(isset($_REQUEST['debug']) && $_REQUEST['debug']) echo __FILE__."<br>"; 
define('_GNUBOARD_', '1');
define('G5_MYSQLI_USE', true);
define('G5_DISPLAY_SQL_ERROR', true);

/* DB 설정 로드 (기존 경로 유지) */
require_once '/data/php56-web/htdocs/data/dbconfig.php';

/* 아래값은 n.yjm.kr에서 사용하던것들 그대로 이동 현재 i쪽에선 사용없음 */
define("AIWK_WSS_JSON_FILE", "/var/www/html/y/yyy_aiwk_wss_n.yjm.kr.json");
define("AIWK_AUTH_PUBLIC_KEY_FILE", "/data/_py/yyy_aiwk/auth/aiwk_ed25519_public.key");
define("AIWK_AUTH_REVOKED_JTIS_FILE", "/data/_py/yyy_aiwk/auth/revoked_jtis.json");

//$UserName=""

/* 사용예제
if (!defined('G5_MYSQL_HOST') || !defined('G5_MYSQL_USER') || !defined('G5_MYSQL_PASSWORD')) {
    echo "dbconfig define오류다";  exit;
}

$conn = new mysqli(G5_MYSQL_HOST, G5_MYSQL_USER, G5_MYSQL_PASSWORD, G5_MYSQL_DB);
if ($conn->connect_error) {
	echo $conn->connect_error;    exit;
}

$conn->query("SET NAMES 'utf8mb4'");
$conn->query("use 사용할DB명");
*/